// -*- C++ -*-

#ifndef GX_INFO
#define GX_INFO

#include <glibmm/ustring.h>
#include <list>

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

namespace Gx { namespace Info {

	inline std::list<Glib::ustring> load_authors()
	{
		std::list<Glib::ustring> l;

		l.push_back("Sergio Perticone <gall0ws@tiscali.it>");
		l.push_back("Valerio Perticone <vix666@gmail.com>");

		return l;
	}

	inline std::list<Glib::ustring> load_artists()
	{
		std::list<Glib::ustring> l;

		l.push_back("David Vignoni (rotation icons)");

		return l;
	}
	
	const Glib::ustring comment = "The lightweight image viewer";
	const Glib::ustring license = Glib::ustring(COPYRIGHT) + '\n' +
	                           "All rights reserved.\n\n"
	                           "Redistribution and use in source and binary forms, with or without\n"
	                           "modification, are permitted provided that the following conditions are met:\n\n"
 	                           "1. Redistributions of source code must retain the above copyright notice,\n"
                                   "this list of conditions and the following disclaimer.\n"
                                   "2. Redistributions in binary form must reproduce the above copyright notice,\n"
                                   "this list of conditions and the following disclaimer in the documentation\n"
                                   "and/or other materials provided with the distribution.\n\n"
                                   "THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED\n"
                                   "WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n"
                                   "MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO\n"
                                   "EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n"
                                   "SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,\n"
                                   "PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;\n"
                                   "OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,\n"
                                   "WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR\n"
                                   "OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF\n"
                                   "ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.";

} } // Gx::Info

#endif // GX_ABOUT
