//
//  main.cpp
//
// Copyright (c) 2007 Sergio Perticone.
// All rights reserved.
//

#include "utils.h"
#include "window.h"
#include <gtkmm/main.h>
#include <libgnomevfsmm/init.h>

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif 

#if HAVE_GCONFMM
# include <gconfmm/init.h>
#endif 

int main(int argc, char** argv)
{
	Glib::OptionContext context("");

	try {
		// Go!
		Gtk::Main gx(argc, argv, context);

		Gnome::Vfs::init();	

#if HAVE_GCONFMM

		Gnome::Conf::init();

#endif
		// Initialize file list:
		Gx::FileList l;

		if(argc > 1)
			l = Gx::Utils::generate_image_list(argc, argv);

		// gx start:
		Gx::Window win(l);
		gx.run(win);
	}
	catch(const Glib::OptionError& e) {
		g_print("%s\n", e.what().data());
		g_print("Run `%s --help' to see a full list of "
			"available command line options.\n", argv[0]);
		return 1;
	}
}
