#!/bin/bash

# base:
CWD="`basename $PWD`"
HEADER="icons.h"
PRG="gdk-pixbuf-csource"

# images:
LOGO="gx_logo.png"
ICON="icon.png"
ROTATEC="rotatec.png"
ROTATECC="rotatecc.png"
MIRROR="mirror.png"

# misc:
TOP_STRING="//\n// icons.h\n//\n// Take a look to icons/COPYRIGHT for more details\n//\n"
test "$CWD" = "tools" || test "$CWD" = "src" && PREFIX="../"

function generate_pixbuf()
{
    echo -n "generating $1 data... "
    
    `$PRG --raw --name=$1 ${PREFIX}icons/$2 >> \
          ${PREFIX}src/$HEADER 2> /dev/null` || {
       echo "failed"
       exit 1
    }

    echo "ok"
}

echo -e $TOP_STRING > ${PREFIX}src/$HEADER
echo "#ifndef GX_ICONS" >> ${PREFIX}src/$HEADER
echo -e "#define GX_ICONS\n" >> ${PREFIX}src/$HEADER

generate_pixbuf logo $LOGO
generate_pixbuf icon $ICON
generate_pixbuf rotatec $ROTATEC
generate_pixbuf rotatecc $ROTATECC
generate_pixbuf mirror $MIRROR

echo "#endif // GX_ICONS" >> ${PREFIX}src/$HEADER

exit 0
