#!/bin/bash

if [ "`basename $PWD`" == "tools" ]; then
    PREFIX="../"
fi

CWD=$PWD
TMPDIR=/tmp
NAME=`cat ${PREFIX}configure.in | grep PACKAGE= | cut -d = -f2`
VERSION=`cat ${PREFIX}configure.in | grep VERSION= | cut -d = -f2`
BUILD_DIR="/tmp/${NAME}-build"
PKG_DIR="${BUILD_DIR}/${NAME}-${VERSION}"
ARCH="i686"
OPTFLAGS="-O2 -march=${ARCH}"
DOCS="${PREFIX}AUTHORS \
      ${PREFIX}ChangeLog \
      ${PREFIX}COPYING \
      ${PREFIX}INSTALL \
      ${PREFIX}NEWS \
      ${PREFIX}README \
      ${PREFIX}TODO \
      ${PREFIX}icons"

function __compile()
{
    CXXFLAGS=${OPTFLAGS} \
    sh configure --prefix=/usr
    make -j2
    make install DESTDIR="${PKG_DIR}"
}

if [ ! -z "$PREFIX" ]; then
    cd $PREFIX
    __compile
    cd -
 else
    __compile
fi

cp -v "installer.sh" ${PKG_DIR}
cp -v ${DOCS} ${PKG_DIR}

cd ${PKG_DIR}
strip --strip-unneeded pkg/usr/bin/${NAME} 2> /dev/null
sudo chown -R root.root usr
tar -cvzf gx.tgz usr
sudo rm -rfv usr
cd ${BUILD_DIR}
tar -cvzf ${TMPDIR}/${NAME}-${VERSION}-${ARCH}.tar.gz ${NAME}-${VERSION}
rm -rfv ${BUILD_DIR}
